curl --request PATCH \
--url https://app.closerx.ai/api/v2/camp-quickcamp/update/{campaign_id}/ \
--header 'Company-Name: <company-name>' \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"name": "string",
"new_agent": "number",
"calling_number": "string",
"total_bugget": "number",
"priority": "number",
"status": "string"
}
'{
"success": true,
"message": "Campaign updated successfully",
"data": {
"campaign": {
"id": "string",
"name": "string",
"direction": "string",
"agent": "null | string",
"new_agent": "number",
"contact_list": "null | string",
"knowledge_base": "null | string",
"calling_number": "string",
"start_date": "null | string",
"start_time": "null | string",
"end_time": "null | string",
"total_bugget": "number",
"bugget_left": "string",
"saturday": "boolean",
"sunday": "boolean",
"status": "string",
"priority": "number",
"created_at": "string",
"updated_at": "string"
}
}
}{
"success": true,
"message": "<string>",
"data": {}
}Campaign
Edit Campaign
This endpoint allows editing campaign details like name, agent, budget, calling number, as well as performing actions like pause, resume, or complete the campaign.
PATCH
/
v2
/
camp-quickcamp
/
update
/
{campaign_id}
/
curl --request PATCH \
--url https://app.closerx.ai/api/v2/camp-quickcamp/update/{campaign_id}/ \
--header 'Company-Name: <company-name>' \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"name": "string",
"new_agent": "number",
"calling_number": "string",
"total_bugget": "number",
"priority": "number",
"status": "string"
}
'{
"success": true,
"message": "Campaign updated successfully",
"data": {
"campaign": {
"id": "string",
"name": "string",
"direction": "string",
"agent": "null | string",
"new_agent": "number",
"contact_list": "null | string",
"knowledge_base": "null | string",
"calling_number": "string",
"start_date": "null | string",
"start_time": "null | string",
"end_time": "null | string",
"total_bugget": "number",
"bugget_left": "string",
"saturday": "boolean",
"sunday": "boolean",
"status": "string",
"priority": "number",
"created_at": "string",
"updated_at": "string"
}
}
}{
"success": true,
"message": "<string>",
"data": {}
}Authorizations
Headers
The name of the schema to be used for the request
Path Parameters
The ID of the campaign to be updated
Body
application/json
